API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/documents/{id}/annotations

POST/v1/dms/documents/{id}/annotations

Create an annotation on a DMS document

Request Body

NameTypBeschreibung
pageNumbererforderlichinteger
typeerforderlichstring
contentstring
positionerforderlichobject
colorstring
opacitynumber
stampTypestring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/documents/{id}/annotations \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "pageNumber": 0,
  "type": "HIGHLIGHT",
  "content": "string",
  "position": null,
  "color": "string",
  "opacity": 0,
  "stampType": "APPROVED"
}'
const result = await cm.dms.post({
  "pageNumber": 0,
  "type": "HIGHLIGHT",
  "content": "string",
  "position": null,
  "color": "string",
  "opacity": 0,
  "stampType": "APPROVED"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche